# run

abstract fun <T> run(actions: Collection<out BuildAction<out T>>): List<T>

Runs the given actions and returns their results. Attempts to run the actions in parallel, when supported by the Gradle version.

This method works with all Gradle versions. For versions 6.7 and earlier, the actions are run sequentially rather than in parallel.

When one or more actions fail with an exception, the exceptions are rethrown by this method and no result is returned.

#### Return

The action results. These are returned in the same order as the actions that produce them.

#### Since

6.8

#### Parameters

actions

The actions to run.

<T>

the result type.